Package de.gebit.integrity.dsl.util

## Class DslAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - de.gebit.integrity.dsl.util.DslAdapterFactory

- All Implemented Interfaces:
    `org.eclipse.emf.common.notify.AdapterFactory`

      public class DslAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `DslPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static DslPackage` | `modelPackage` | The cached model package.
    `protected DslSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` | The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DslAdapterFactory()` | Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter​(org.eclipse.emf.common.notify.Notifier target)` | Creates an adapter for the `target`.
    `org.eclipse.emf.common.notify.Adapter` | `createArbitraryParameterOrResultNameAdapter()` | Creates a new adapter for an object of class '`Arbitrary Parameter Or Result Name`'.
    `org.eclipse.emf.common.notify.Adapter` | `createBooleanValueAdapter()` | Creates a new adapter for an object of class '`Boolean Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCallAdapter()` | Creates a new adapter for an object of class '`Call`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCallDefinitionAdapter()` | Creates a new adapter for an object of class '`Call Definition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createConstantAdapter()` | Creates a new adapter for an object of class '`Constant`'.
    `org.eclipse.emf.common.notify.Adapter` | `createConstantDefinitionAdapter()` | Creates a new adapter for an object of class '`Constant Definition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createConstantEntityAdapter()` | Creates a new adapter for an object of class '`Constant Entity`'.
    `org.eclipse.emf.common.notify.Adapter` | `createConstantValueAdapter()` | Creates a new adapter for an object of class '`Constant Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCustomOperationAdapter()` | Creates a new adapter for an object of class '`Custom Operation`'.
    `org.eclipse.emf.common.notify.Adapter` | `createDateAndTimeValueAdapter()` | Creates a new adapter for an object of class '`Date And Time Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createDateValueAdapter()` | Creates a new adapter for an object of class '`Date Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createDecimalValueAdapter()` | Creates a new adapter for an object of class '`Decimal Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createDocumentationCommentAdapter()` | Creates a new adapter for an object of class '`Documentation Comment`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEmptyAdapter()` | Creates a new adapter for an object of class '`Empty`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEmptyValueAdapter()` | Creates a new adapter for an object of class '`Empty Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEnumValueAdapter()` | Creates a new adapter for an object of class '`Enum Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` | Creates a new adapter for the default case.
    `org.eclipse.emf.common.notify.Adapter` | `createEuropeanDateAnd12HrsTimeValueAdapter()` | Creates a new adapter for an object of class '`European Date And12 Hrs Time Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEuropeanDateAnd24HrsTimeValueAdapter()` | Creates a new adapter for an object of class '`European Date And24 Hrs Time Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEuropeanDateValueAdapter()` | Creates a new adapter for an object of class '`European Date Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createExecutionMultiplierAdapter()` | Creates a new adapter for an object of class '`Execution Multiplier`'.
    `org.eclipse.emf.common.notify.Adapter` | `createFixedParameterNameAdapter()` | Creates a new adapter for an object of class '`Fixed Parameter Name`'.
    `org.eclipse.emf.common.notify.Adapter` | `createFixedResultNameAdapter()` | Creates a new adapter for an object of class '`Fixed Result Name`'.
    `org.eclipse.emf.common.notify.Adapter` | `createForkDefinitionAdapter()` | Creates a new adapter for an object of class '`Fork Definition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createForkParameterAdapter()` | Creates a new adapter for an object of class '`Fork Parameter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createImportAdapter()` | Creates a new adapter for an object of class '`Import`'.
    `org.eclipse.emf.common.notify.Adapter` | `createInexistentAdapter()` | Creates a new adapter for an object of class '`Inexistent`'.
    `org.eclipse.emf.common.notify.Adapter` | `createInexistentValueAdapter()` | Creates a new adapter for an object of class '`Inexistent Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createIntegerValueAdapter()` | Creates a new adapter for an object of class '`Integer Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createIsoDateAndTimeValueAdapter()` | Creates a new adapter for an object of class '`Iso Date And Time Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createIsoDateValueAdapter()` | Creates a new adapter for an object of class '`Iso Date Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createIsoTimeValueAdapter()` | Creates a new adapter for an object of class '`Iso Time Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createJavaClassReferenceAdapter()` | Creates a new adapter for an object of class '`Java Class Reference`'.
    `org.eclipse.emf.common.notify.Adapter` | `createJavaConstantReferenceAdapter()` | Creates a new adapter for an object of class '`Java Constant Reference`'.
    `org.eclipse.emf.common.notify.Adapter` | `createJavaConstantValueAdapter()` | Creates a new adapter for an object of class '`Java Constant Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createKeyValuePairAdapter()` | Creates a new adapter for an object of class '`Key Value Pair`'.
    `org.eclipse.emf.common.notify.Adapter` | `createMethodReferenceAdapter()` | Creates a new adapter for an object of class '`Method Reference`'.
    `org.eclipse.emf.common.notify.Adapter` | `createModelAdapter()` | Creates a new adapter for an object of class '`Model`'.
    `org.eclipse.emf.common.notify.Adapter` | `createNamedCallResultAdapter()` | Creates a new adapter for an object of class '`Named Call Result`'.
    `org.eclipse.emf.common.notify.Adapter` | `createNamedResultAdapter()` | Creates a new adapter for an object of class '`Named Result`'.
    `org.eclipse.emf.common.notify.Adapter` | `createNestedObjectAdapter()` | Creates a new adapter for an object of class '`Nested Object`'.
    `org.eclipse.emf.common.notify.Adapter` | `createNullAdapter()` | Creates a new adapter for an object of class '`Null`'.
    `org.eclipse.emf.common.notify.Adapter` | `createNullValueAdapter()` | Creates a new adapter for an object of class '`Null Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createOperationAdapter()` | Creates a new adapter for an object of class '`Operation`'.
    `org.eclipse.emf.common.notify.Adapter` | `createOperationDefinitionAdapter()` | Creates a new adapter for an object of class '`Operation Definition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPackageDefinitionAdapter()` | Creates a new adapter for an object of class '`Package Definition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPackageStatementAdapter()` | Creates a new adapter for an object of class '`Package Statement`'.
    `org.eclipse.emf.common.notify.Adapter` | `createParameterAdapter()` | Creates a new adapter for an object of class '`Parameter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createParameterNameAdapter()` | Creates a new adapter for an object of class '`Parameter Name`'.
    `org.eclipse.emf.common.notify.Adapter` | `createParameterTableHeaderAdapter()` | Creates a new adapter for an object of class '`Parameter Table Header`'.
    `org.eclipse.emf.common.notify.Adapter` | `createParameterTableValueAdapter()` | Creates a new adapter for an object of class '`Parameter Table Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRegexValueAdapter()` | Creates a new adapter for an object of class '`Regex Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createResultNameAdapter()` | Creates a new adapter for an object of class '`Result Name`'.
    `org.eclipse.emf.common.notify.Adapter` | `createResultTableHeaderAdapter()` | Creates a new adapter for an object of class '`Result Table Header`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSimple12HrsTimeValueAdapter()` | Creates a new adapter for an object of class '`Simple12 Hrs Time Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSimple24HrsTimeValueAdapter()` | Creates a new adapter for an object of class '`Simple24 Hrs Time Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createStandardOperationAdapter()` | Creates a new adapter for an object of class '`Standard Operation`'.
    `org.eclipse.emf.common.notify.Adapter` | `createStatementAdapter()` | Creates a new adapter for an object of class '`Statement`'.
    `org.eclipse.emf.common.notify.Adapter` | `createStaticValueAdapter()` | Creates a new adapter for an object of class '`Static Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createStringValueAdapter()` | Creates a new adapter for an object of class '`String Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSuiteAdapter()` | Creates a new adapter for an object of class '`Suite`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSuiteDefinitionAdapter()` | Creates a new adapter for an object of class '`Suite Definition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSuiteParameterAdapter()` | Creates a new adapter for an object of class '`Suite Parameter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSuiteParameterDefinitionAdapter()` | Creates a new adapter for an object of class '`Suite Parameter Definition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSuiteReturnAdapter()` | Creates a new adapter for an object of class '`Suite Return`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSuiteReturnDefinitionAdapter()` | Creates a new adapter for an object of class '`Suite Return Definition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSuiteStatementAdapter()` | Creates a new adapter for an object of class '`Suite Statement`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSuiteStatementWithResultAdapter()` | Creates a new adapter for an object of class '`Suite Statement With Result`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTableTestAdapter()` | Creates a new adapter for an object of class '`Table Test`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTableTestRowAdapter()` | Creates a new adapter for an object of class '`Table Test Row`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTestAdapter()` | Creates a new adapter for an object of class '`Test`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTestDefinitionAdapter()` | Creates a new adapter for an object of class '`Test Definition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTimeDifferenceAdapter()` | Creates a new adapter for an object of class '`Time Difference`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTimeProgressionFactorAdapter()` | Creates a new adapter for an object of class '`Time Progression Factor`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTimeSetAdapter()` | Creates a new adapter for an object of class '`Time Set`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTimeValueAdapter()` | Creates a new adapter for an object of class '`Time Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTypedNestedObjectAdapter()` | Creates a new adapter for an object of class '`Typed Nested Object`'.
    `org.eclipse.emf.common.notify.Adapter` | `createUSDateAnd12HrsTimeValueAdapter()` | Creates a new adapter for an object of class '`US Date And12 Hrs Time Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createUSDateValueAdapter()` | Creates a new adapter for an object of class '`US Date Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createValueAdapter()` | Creates a new adapter for an object of class '`Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createValueOrEnumValueOrOperationAdapter()` | Creates a new adapter for an object of class '`Value Or Enum Value Or Operation`'.
    `org.eclipse.emf.common.notify.Adapter` | `createValueOrEnumValueOrOperationCollectionAdapter()` | Creates a new adapter for an object of class '`Value Or Enum Value Or Operation Collection`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVariableAdapter()` | Creates a new adapter for an object of class '`Variable`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVariableAssignmentAdapter()` | Creates a new adapter for an object of class '`Variable Assignment`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVariableDefinitionAdapter()` | Creates a new adapter for an object of class '`Variable Definition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVariableEntityAdapter()` | Creates a new adapter for an object of class '`Variable Entity`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVariableOrConstantEntityAdapter()` | Creates a new adapter for an object of class '`Variable Or Constant Entity`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVariableVariableAdapter()` | Creates a new adapter for an object of class '`Variable Variable`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVariantDefinitionAdapter()` | Creates a new adapter for an object of class '`Variant Definition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVariantValueAdapter()` | Creates a new adapter for an object of class '`Variant Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVisibleCommentAdapter()` | Creates a new adapter for an object of class '`Visible Comment`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVisibleDividerAdapter()` | Creates a new adapter for an object of class '`Visible Divider`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVisibleMultiLineCommentAdapter()` | Creates a new adapter for an object of class '`Visible Multi Line Comment`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVisibleMultiLineNormalCommentAdapter()` | Creates a new adapter for an object of class '`Visible Multi Line Normal Comment`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVisibleMultiLineTitleCommentAdapter()` | Creates a new adapter for an object of class '`Visible Multi Line Title Comment`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVisibleSingleLineCommentAdapter()` | Creates a new adapter for an object of class '`Visible Single Line Comment`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVisibleSingleLineNormalCommentAdapter()` | Creates a new adapter for an object of class '`Visible Single Line Normal Comment`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVisibleSingleLineTitleCommentAdapter()` | Creates a new adapter for an object of class '`Visible Single Line Title Comment`'.
    `boolean` | `isFactoryForType​(Object object)` | Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static DslPackage modelPackage

      The cached model package.

    - #### modelSwitch

          protected DslSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.

  - ### Constructor Detail

    - #### DslAdapterFactory

          public DslAdapterFactory()

      Creates an instance of the adapter factory.

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType​(Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter​(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.

    - #### createModelAdapter

          public org.eclipse.emf.common.notify.Adapter createModelAdapter()

      Creates a new adapter for an object of class '`Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Model`

    - #### createStatementAdapter

          public org.eclipse.emf.common.notify.Adapter createStatementAdapter()

      Creates a new adapter for an object of class '`Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Statement`

    - #### createVisibleCommentAdapter

          public org.eclipse.emf.common.notify.Adapter createVisibleCommentAdapter()

      Creates a new adapter for an object of class '`Visible Comment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VisibleComment`

    - #### createVisibleSingleLineCommentAdapter

          public org.eclipse.emf.common.notify.Adapter createVisibleSingleLineCommentAdapter()

      Creates a new adapter for an object of class '`Visible Single Line Comment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VisibleSingleLineComment`

    - #### createVisibleSingleLineNormalCommentAdapter

          public org.eclipse.emf.common.notify.Adapter createVisibleSingleLineNormalCommentAdapter()

      Creates a new adapter for an object of class '`Visible Single Line Normal Comment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VisibleSingleLineNormalComment`

    - #### createVisibleSingleLineTitleCommentAdapter

          public org.eclipse.emf.common.notify.Adapter createVisibleSingleLineTitleCommentAdapter()

      Creates a new adapter for an object of class '`Visible Single Line Title Comment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VisibleSingleLineTitleComment`

    - #### createVisibleMultiLineCommentAdapter

          public org.eclipse.emf.common.notify.Adapter createVisibleMultiLineCommentAdapter()

      Creates a new adapter for an object of class '`Visible Multi Line Comment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VisibleMultiLineComment`

    - #### createVisibleMultiLineNormalCommentAdapter

          public org.eclipse.emf.common.notify.Adapter createVisibleMultiLineNormalCommentAdapter()

      Creates a new adapter for an object of class '`Visible Multi Line Normal Comment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VisibleMultiLineNormalComment`

    - #### createVisibleMultiLineTitleCommentAdapter

          public org.eclipse.emf.common.notify.Adapter createVisibleMultiLineTitleCommentAdapter()

      Creates a new adapter for an object of class '`Visible Multi Line Title Comment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VisibleMultiLineTitleComment`

    - #### createVisibleDividerAdapter

          public org.eclipse.emf.common.notify.Adapter createVisibleDividerAdapter()

      Creates a new adapter for an object of class '`Visible Divider`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VisibleDivider`

    - #### createPackageDefinitionAdapter

          public org.eclipse.emf.common.notify.Adapter createPackageDefinitionAdapter()

      Creates a new adapter for an object of class '`Package Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PackageDefinition`

    - #### createPackageStatementAdapter

          public org.eclipse.emf.common.notify.Adapter createPackageStatementAdapter()

      Creates a new adapter for an object of class '`Package Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PackageStatement`

    - #### createImportAdapter

          public org.eclipse.emf.common.notify.Adapter createImportAdapter()

      Creates a new adapter for an object of class '`Import`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Import`

    - #### createForkDefinitionAdapter

          public org.eclipse.emf.common.notify.Adapter createForkDefinitionAdapter()

      Creates a new adapter for an object of class '`Fork Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ForkDefinition`

    - #### createForkParameterAdapter

          public org.eclipse.emf.common.notify.Adapter createForkParameterAdapter()

      Creates a new adapter for an object of class '`Fork Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ForkParameter`

    - #### createVariantDefinitionAdapter

          public org.eclipse.emf.common.notify.Adapter createVariantDefinitionAdapter()

      Creates a new adapter for an object of class '`Variant Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VariantDefinition`

    - #### createTestDefinitionAdapter

          public org.eclipse.emf.common.notify.Adapter createTestDefinitionAdapter()

      Creates a new adapter for an object of class '`Test Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TestDefinition`

    - #### createCallDefinitionAdapter

          public org.eclipse.emf.common.notify.Adapter createCallDefinitionAdapter()

      Creates a new adapter for an object of class '`Call Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CallDefinition`

    - #### createSuiteDefinitionAdapter

          public org.eclipse.emf.common.notify.Adapter createSuiteDefinitionAdapter()

      Creates a new adapter for an object of class '`Suite Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SuiteDefinition`

    - #### createSuiteParameterDefinitionAdapter

          public org.eclipse.emf.common.notify.Adapter createSuiteParameterDefinitionAdapter()

      Creates a new adapter for an object of class '`Suite Parameter Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SuiteParameterDefinition`

    - #### createSuiteReturnDefinitionAdapter

          public org.eclipse.emf.common.notify.Adapter createSuiteReturnDefinitionAdapter()

      Creates a new adapter for an object of class '`Suite Return Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SuiteReturnDefinition`

    - #### createOperationDefinitionAdapter

          public org.eclipse.emf.common.notify.Adapter createOperationDefinitionAdapter()

      Creates a new adapter for an object of class '`Operation Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `OperationDefinition`

    - #### createSuiteStatementAdapter

          public org.eclipse.emf.common.notify.Adapter createSuiteStatementAdapter()

      Creates a new adapter for an object of class '`Suite Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SuiteStatement`

    - #### createSuiteStatementWithResultAdapter

          public org.eclipse.emf.common.notify.Adapter createSuiteStatementWithResultAdapter()

      Creates a new adapter for an object of class '`Suite Statement With Result`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SuiteStatementWithResult`

    - #### createVariableDefinitionAdapter

          public org.eclipse.emf.common.notify.Adapter createVariableDefinitionAdapter()

      Creates a new adapter for an object of class '`Variable Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VariableDefinition`

    - #### createConstantDefinitionAdapter

          public org.eclipse.emf.common.notify.Adapter createConstantDefinitionAdapter()

      Creates a new adapter for an object of class '`Constant Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ConstantDefinition`

    - #### createVariableAssignmentAdapter

          public org.eclipse.emf.common.notify.Adapter createVariableAssignmentAdapter()

      Creates a new adapter for an object of class '`Variable Assignment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VariableAssignment`

    - #### createVariantValueAdapter

          public org.eclipse.emf.common.notify.Adapter createVariantValueAdapter()

      Creates a new adapter for an object of class '`Variant Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VariantValue`

    - #### createVariableEntityAdapter

          public org.eclipse.emf.common.notify.Adapter createVariableEntityAdapter()

      Creates a new adapter for an object of class '`Variable Entity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VariableEntity`

    - #### createConstantEntityAdapter

          public org.eclipse.emf.common.notify.Adapter createConstantEntityAdapter()

      Creates a new adapter for an object of class '`Constant Entity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ConstantEntity`

    - #### createVariableOrConstantEntityAdapter

          public org.eclipse.emf.common.notify.Adapter createVariableOrConstantEntityAdapter()

      Creates a new adapter for an object of class '`Variable Or Constant Entity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VariableOrConstantEntity`

    - #### createTestAdapter

          public org.eclipse.emf.common.notify.Adapter createTestAdapter()

      Creates a new adapter for an object of class '`Test`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Test`

    - #### createTableTestAdapter

          public org.eclipse.emf.common.notify.Adapter createTableTestAdapter()

      Creates a new adapter for an object of class '`Table Test`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TableTest`

    - #### createTableTestRowAdapter

          public org.eclipse.emf.common.notify.Adapter createTableTestRowAdapter()

      Creates a new adapter for an object of class '`Table Test Row`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TableTestRow`

    - #### createParameterTableHeaderAdapter

          public org.eclipse.emf.common.notify.Adapter createParameterTableHeaderAdapter()

      Creates a new adapter for an object of class '`Parameter Table Header`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ParameterTableHeader`

    - #### createResultTableHeaderAdapter

          public org.eclipse.emf.common.notify.Adapter createResultTableHeaderAdapter()

      Creates a new adapter for an object of class '`Result Table Header`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ResultTableHeader`

    - #### createParameterTableValueAdapter

          public org.eclipse.emf.common.notify.Adapter createParameterTableValueAdapter()

      Creates a new adapter for an object of class '`Parameter Table Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ParameterTableValue`

    - #### createNamedResultAdapter

          public org.eclipse.emf.common.notify.Adapter createNamedResultAdapter()

      Creates a new adapter for an object of class '`Named Result`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `NamedResult`

    - #### createResultNameAdapter

          public org.eclipse.emf.common.notify.Adapter createResultNameAdapter()

      Creates a new adapter for an object of class '`Result Name`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ResultName`

    - #### createFixedResultNameAdapter

          public org.eclipse.emf.common.notify.Adapter createFixedResultNameAdapter()

      Creates a new adapter for an object of class '`Fixed Result Name`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FixedResultName`

    - #### createCallAdapter

          public org.eclipse.emf.common.notify.Adapter createCallAdapter()

      Creates a new adapter for an object of class '`Call`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Call`

    - #### createNamedCallResultAdapter

          public org.eclipse.emf.common.notify.Adapter createNamedCallResultAdapter()

      Creates a new adapter for an object of class '`Named Call Result`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `NamedCallResult`

    - #### createTimeSetAdapter

          public org.eclipse.emf.common.notify.Adapter createTimeSetAdapter()

      Creates a new adapter for an object of class '`Time Set`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TimeSet`

    - #### createTimeProgressionFactorAdapter

          public org.eclipse.emf.common.notify.Adapter createTimeProgressionFactorAdapter()

      Creates a new adapter for an object of class '`Time Progression Factor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TimeProgressionFactor`

    - #### createTimeDifferenceAdapter

          public org.eclipse.emf.common.notify.Adapter createTimeDifferenceAdapter()

      Creates a new adapter for an object of class '`Time Difference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TimeDifference`

    - #### createSuiteAdapter

          public org.eclipse.emf.common.notify.Adapter createSuiteAdapter()

      Creates a new adapter for an object of class '`Suite`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Suite`

    - #### createSuiteParameterAdapter

          public org.eclipse.emf.common.notify.Adapter createSuiteParameterAdapter()

      Creates a new adapter for an object of class '`Suite Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SuiteParameter`

    - #### createSuiteReturnAdapter

          public org.eclipse.emf.common.notify.Adapter createSuiteReturnAdapter()

      Creates a new adapter for an object of class '`Suite Return`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SuiteReturn`

    - #### createParameterAdapter

          public org.eclipse.emf.common.notify.Adapter createParameterAdapter()

      Creates a new adapter for an object of class '`Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Parameter`

    - #### createParameterNameAdapter

          public org.eclipse.emf.common.notify.Adapter createParameterNameAdapter()

      Creates a new adapter for an object of class '`Parameter Name`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ParameterName`

    - #### createFixedParameterNameAdapter

          public org.eclipse.emf.common.notify.Adapter createFixedParameterNameAdapter()

      Creates a new adapter for an object of class '`Fixed Parameter Name`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FixedParameterName`

    - #### createArbitraryParameterOrResultNameAdapter

          public org.eclipse.emf.common.notify.Adapter createArbitraryParameterOrResultNameAdapter()

      Creates a new adapter for an object of class '`Arbitrary Parameter Or Result Name`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ArbitraryParameterOrResultName`

    - #### createOperationAdapter

          public org.eclipse.emf.common.notify.Adapter createOperationAdapter()

      Creates a new adapter for an object of class '`Operation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Operation`

    - #### createStandardOperationAdapter

          public org.eclipse.emf.common.notify.Adapter createStandardOperationAdapter()

      Creates a new adapter for an object of class '`Standard Operation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `StandardOperation`

    - #### createCustomOperationAdapter

          public org.eclipse.emf.common.notify.Adapter createCustomOperationAdapter()

      Creates a new adapter for an object of class '`Custom Operation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CustomOperation`

    - #### createValueOrEnumValueOrOperationCollectionAdapter

          public org.eclipse.emf.common.notify.Adapter createValueOrEnumValueOrOperationCollectionAdapter()

      Creates a new adapter for an object of class '`Value Or Enum Value Or Operation Collection`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ValueOrEnumValueOrOperationCollection`

    - #### createValueOrEnumValueOrOperationAdapter

          public org.eclipse.emf.common.notify.Adapter createValueOrEnumValueOrOperationAdapter()

      Creates a new adapter for an object of class '`Value Or Enum Value Or Operation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ValueOrEnumValueOrOperation`

    - #### createValueAdapter

          public org.eclipse.emf.common.notify.Adapter createValueAdapter()

      Creates a new adapter for an object of class '`Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Value`

    - #### createConstantValueAdapter

          public org.eclipse.emf.common.notify.Adapter createConstantValueAdapter()

      Creates a new adapter for an object of class '`Constant Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ConstantValue`

    - #### createStaticValueAdapter

          public org.eclipse.emf.common.notify.Adapter createStaticValueAdapter()

      Creates a new adapter for an object of class '`Static Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `StaticValue`

    - #### createIntegerValueAdapter

          public org.eclipse.emf.common.notify.Adapter createIntegerValueAdapter()

      Creates a new adapter for an object of class '`Integer Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `IntegerValue`

    - #### createDecimalValueAdapter

          public org.eclipse.emf.common.notify.Adapter createDecimalValueAdapter()

      Creates a new adapter for an object of class '`Decimal Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DecimalValue`

    - #### createStringValueAdapter

          public org.eclipse.emf.common.notify.Adapter createStringValueAdapter()

      Creates a new adapter for an object of class '`String Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `StringValue`

    - #### createRegexValueAdapter

          public org.eclipse.emf.common.notify.Adapter createRegexValueAdapter()

      Creates a new adapter for an object of class '`Regex Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RegexValue`

    - #### createBooleanValueAdapter

          public org.eclipse.emf.common.notify.Adapter createBooleanValueAdapter()

      Creates a new adapter for an object of class '`Boolean Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `BooleanValue`

    - #### createDateValueAdapter

          public org.eclipse.emf.common.notify.Adapter createDateValueAdapter()

      Creates a new adapter for an object of class '`Date Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DateValue`

    - #### createIsoDateValueAdapter

          public org.eclipse.emf.common.notify.Adapter createIsoDateValueAdapter()

      Creates a new adapter for an object of class '`Iso Date Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `IsoDateValue`

    - #### createEuropeanDateValueAdapter

          public org.eclipse.emf.common.notify.Adapter createEuropeanDateValueAdapter()

      Creates a new adapter for an object of class '`European Date Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EuropeanDateValue`

    - #### createUSDateValueAdapter

          public org.eclipse.emf.common.notify.Adapter createUSDateValueAdapter()

      Creates a new adapter for an object of class '`US Date Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `USDateValue`

    - #### createTimeValueAdapter

          public org.eclipse.emf.common.notify.Adapter createTimeValueAdapter()

      Creates a new adapter for an object of class '`Time Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TimeValue`

    - #### createIsoTimeValueAdapter

          public org.eclipse.emf.common.notify.Adapter createIsoTimeValueAdapter()

      Creates a new adapter for an object of class '`Iso Time Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `IsoTimeValue`

    - #### createSimple24HrsTimeValueAdapter

          public org.eclipse.emf.common.notify.Adapter createSimple24HrsTimeValueAdapter()

      Creates a new adapter for an object of class '`Simple24 Hrs Time Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Simple24HrsTimeValue`

    - #### createSimple12HrsTimeValueAdapter

          public org.eclipse.emf.common.notify.Adapter createSimple12HrsTimeValueAdapter()

      Creates a new adapter for an object of class '`Simple12 Hrs Time Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Simple12HrsTimeValue`

    - #### createDateAndTimeValueAdapter

          public org.eclipse.emf.common.notify.Adapter createDateAndTimeValueAdapter()

      Creates a new adapter for an object of class '`Date And Time Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DateAndTimeValue`

    - #### createIsoDateAndTimeValueAdapter

          public org.eclipse.emf.common.notify.Adapter createIsoDateAndTimeValueAdapter()

      Creates a new adapter for an object of class '`Iso Date And Time Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `IsoDateAndTimeValue`

    - #### createEuropeanDateAnd24HrsTimeValueAdapter

          public org.eclipse.emf.common.notify.Adapter createEuropeanDateAnd24HrsTimeValueAdapter()

      Creates a new adapter for an object of class '`European Date And24 Hrs Time Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EuropeanDateAnd24HrsTimeValue`

    - #### createEuropeanDateAnd12HrsTimeValueAdapter

          public org.eclipse.emf.common.notify.Adapter createEuropeanDateAnd12HrsTimeValueAdapter()

      Creates a new adapter for an object of class '`European Date And12 Hrs Time Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EuropeanDateAnd12HrsTimeValue`

    - #### createUSDateAnd12HrsTimeValueAdapter

          public org.eclipse.emf.common.notify.Adapter createUSDateAnd12HrsTimeValueAdapter()

      Creates a new adapter for an object of class '`US Date And12 Hrs Time Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `USDateAnd12HrsTimeValue`

    - #### createJavaConstantValueAdapter

          public org.eclipse.emf.common.notify.Adapter createJavaConstantValueAdapter()

      Creates a new adapter for an object of class '`Java Constant Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `JavaConstantValue`

    - #### createVariableAdapter

          public org.eclipse.emf.common.notify.Adapter createVariableAdapter()

      Creates a new adapter for an object of class '`Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Variable`

    - #### createVariableVariableAdapter

          public org.eclipse.emf.common.notify.Adapter createVariableVariableAdapter()

      Creates a new adapter for an object of class '`Variable Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VariableVariable`

    - #### createConstantAdapter

          public org.eclipse.emf.common.notify.Adapter createConstantAdapter()

      Creates a new adapter for an object of class '`Constant`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Constant`

    - #### createNullValueAdapter

          public org.eclipse.emf.common.notify.Adapter createNullValueAdapter()

      Creates a new adapter for an object of class '`Null Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `NullValue`

    - #### createInexistentValueAdapter

          public org.eclipse.emf.common.notify.Adapter createInexistentValueAdapter()

      Creates a new adapter for an object of class '`Inexistent Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `InexistentValue`

    - #### createEmptyValueAdapter

          public org.eclipse.emf.common.notify.Adapter createEmptyValueAdapter()

      Creates a new adapter for an object of class '`Empty Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EmptyValue`

    - #### createEnumValueAdapter

          public org.eclipse.emf.common.notify.Adapter createEnumValueAdapter()

      Creates a new adapter for an object of class '`Enum Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EnumValue`

    - #### createNestedObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createNestedObjectAdapter()

      Creates a new adapter for an object of class '`Nested Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `NestedObject`

    - #### createTypedNestedObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createTypedNestedObjectAdapter()

      Creates a new adapter for an object of class '`Typed Nested Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TypedNestedObject`

    - #### createKeyValuePairAdapter

          public org.eclipse.emf.common.notify.Adapter createKeyValuePairAdapter()

      Creates a new adapter for an object of class '`Key Value Pair`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `KeyValuePair`

    - #### createJavaClassReferenceAdapter

          public org.eclipse.emf.common.notify.Adapter createJavaClassReferenceAdapter()

      Creates a new adapter for an object of class '`Java Class Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `JavaClassReference`

    - #### createMethodReferenceAdapter

          public org.eclipse.emf.common.notify.Adapter createMethodReferenceAdapter()

      Creates a new adapter for an object of class '`Method Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `MethodReference`

    - #### createJavaConstantReferenceAdapter

          public org.eclipse.emf.common.notify.Adapter createJavaConstantReferenceAdapter()

      Creates a new adapter for an object of class '`Java Constant Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `JavaConstantReference`

    - #### createExecutionMultiplierAdapter

          public org.eclipse.emf.common.notify.Adapter createExecutionMultiplierAdapter()

      Creates a new adapter for an object of class '`Execution Multiplier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ExecutionMultiplier`

    - #### createDocumentationCommentAdapter

          public org.eclipse.emf.common.notify.Adapter createDocumentationCommentAdapter()

      Creates a new adapter for an object of class '`Documentation Comment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DocumentationComment`

    - #### createNullAdapter

          public org.eclipse.emf.common.notify.Adapter createNullAdapter()

      Creates a new adapter for an object of class '`Null`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Null`

    - #### createInexistentAdapter

          public org.eclipse.emf.common.notify.Adapter createInexistentAdapter()

      Creates a new adapter for an object of class '`Inexistent`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Inexistent`

    - #### createEmptyAdapter

          public org.eclipse.emf.common.notify.Adapter createEmptyAdapter()

      Creates a new adapter for an object of class '`Empty`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Empty`

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.